
uniform sampler2D texture;
uniform float blurSize;

void main(void) {
   vec4 sum = vec4(0.0);
   sum += texture2D(texture, vec2(gl_TexCoord[0].x - 3.5 * blurSize, gl_TexCoord[0].y)) * 0.050;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x - 2.5 * blurSize, gl_TexCoord[0].y)) * 0.090;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x - 1.5 * blurSize, gl_TexCoord[0].y)) * 0.120;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x - 0.5 * blurSize, gl_TexCoord[0].y)) * 0.155;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x + 0.0 * blurSize, gl_TexCoord[0].y)) * 0.170;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x + 0.5 * blurSize, gl_TexCoord[0].y)) * 0.155;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x + 1.5 * blurSize, gl_TexCoord[0].y)) * 0.120;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x + 2.5 * blurSize, gl_TexCoord[0].y)) * 0.090;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x + 3.5 * blurSize, gl_TexCoord[0].y)) * 0.050;
   gl_FragColor = sum;
}
