
uniform sampler2D texture;
uniform float blurSize;

void main(void){
   vec4 sum = vec4(0.0);
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y - 4.0 * blurSize)) * 0.050;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y - 3.0 * blurSize)) * 0.090;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y - 2.0 * blurSize)) * 0.120;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y - 1.0 * blurSize)) * 0.155;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y + 0.0 * blurSize)) * 0.170;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y + 1.0 * blurSize)) * 0.155;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y + 2.0 * blurSize)) * 0.120;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y + 3.0 * blurSize)) * 0.090;
   sum += texture2D(texture, vec2(gl_TexCoord[0].x, gl_TexCoord[0].y + 4.0 * blurSize)) * 0.050;
   gl_FragColor = sum;
}
